org.eclipse.wst.jsdt.chromium.debug.ui

## Interface DialogUtils.ValueSource<T>

All Superinterfaces:
  DialogUtils.Gettable<T>

All Known Implementing Classes:
  DialogUtils.ExpressionProcessor, DialogUtils.ValueProcessor

Enclosing class:
  DialogUtils

    public static interface DialogUtils.ValueSource<T>
    extends DialogUtils.Gettable<T>

Represents source vertex for Updater. Technically updater uses this interface only as a flag interface, because the only methods it uses are `Object.equals(java.lang.Object)`/Object`Object.hashCode()`.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `getValue()` Method is not used by updater, for convenience only.

### Method Detail

#### getValue

    T getValue()

Method is not used by updater, for convenience only.

Specified by:
  `getValue` in interface `DialogUtils.Gettable<T>`
Returns:
  current value of the vertex